<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Gallery v2.0
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: image_report.php
  Description: Image Report

  ++++++++++++++++++++++++++++++++++++++++*/

// Make sure that this file is being called from parent file
if (!defined('INCLUDE_FILES')) {
  accessDenied($msg_script18,$msg_script19);
  exit;
}

?>
<div align="center">
<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border: 2px solid #083253">
<tr>
    <td align="left" class="msgBox">&raquo; <b><?php echo $msg_addimg13; ?></b><br><br><?php echo $msg_addimg16; ?></td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" width="100%" class="menutable">
<tr>
    <td align="left" class="leftPad" style="border-right:0">&raquo; <b><?php echo strtoupper($msg_addimg13); ?></b>:</td>
    <td align="right" class="leftPad" style="border-left:0">[ <a href="index.php?cmd=add_images" title="<?php echo $msg_addimg17; ?>" style="color:#FFFFFF"><?php echo $msg_addimg17; ?></a> ]</td>
</tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border: 2px solid #083253">
<?php
for ($i=0; $i<count($report); $i++)
{
?>
<tr>
    <td align="center" class="msgBox" style="line-height:20px">
    <table width="100%" cellspacing="0" cellpadding="0">
    <tr>
      <td align="left" width="15%" class="tdHeight"><img src="<?php echo $SETTINGS->folder.'/'.($report[$i][3]=='ok' ? $report[$i][5].'/'.$report[$i][4] : 'galleries/new/'.$report[$i][4]); ?>" alt="<?php echo $report[$i][0]; ?>" title="<?php echo $report[$i][0]; ?>" height="<?php echo ADD_IMG_HGHT; ?>" width="<?php echo ADD_IMG_WDTH; ?>" class="image_pad"></td>
      <td align="left" width="75%" class="tdHeight" valign="top">
      <b><?php echo $msg_addimg7; ?></b>: <?php echo cleanData($report[$i][0]); ?><br>
      <b><?php echo $msg_addimg9; ?></b>: <?php echo cleanData($report[$i][2]); ?><br>
      <b><?php echo $msg_addimg19; ?></b>: 
      <?php
      switch ($report[$i][3]) {
        case 'ok': 
         echo $msg_addimg20;
        break;
        case 'error_create': 
         echo str_replace("{dir}",$report[$i][5],$msg_addimg21);
        break;
        case 'error_create_dir':
        case 'error_upload_dir': 
         echo str_replace("{dir}",$report[$i][5],$msg_addimg32);
        break;
        case 'error_upload': 
         echo str_replace("{dir}",$report[$i][5],$msg_addimg22);
        break;
        case 'error_move': 
         echo str_replace("{dir}",$report[$i][5],$msg_addimg26);
        break;
        case 'error_db': 
         echo $msg_addimg27;
        break;
      }
      ?>
      </td>
      <td align="center" width="10%" class="tdHeight"><img src="images/<?php echo ($report[$i][3]=='ok' ? 'upload_ok' : 'upload_errors'); ?>.gif"></td>
    </tr>
    </table>
    </td> 
</tr>   
<?php
}
?>
</table>
</div>
